> ## Documentation Index
> Fetch the complete documentation index at: https://brightdata-ipv6-release.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Snapshot Parts

> Get dataset snapshot delivery parts. All query parameters used here need to match those used when downloading the snapshot to get accurate parts



## OpenAPI

````yaml dca-api GET /datasets/snapshots/{id}/parts
openapi: 3.1.0
info:
  title: Brightdata API
  description: API for interaction with datasets marketplace
  version: 1.0.0
servers:
  - url: https://api.brightdata.com
security:
  - bearerAuth: []
paths:
  /datasets/snapshots/{id}/parts:
    get:
      description: >-
        Get dataset snapshot delivery parts. All query parameters used here need
        to match those used when downloading the snapshot to get accurate parts
      parameters:
        - in: path
          name: id
          description: Snapshot ID
          required: true
          schema:
            type: string
            example: snap_m2bxug4e2o352v1jv1
        - in: query
          name: format
          description: Format of the response
          schema:
            type: string
            enum:
              - json
              - ndjson
              - jsonl
              - csv
            default: json
        - in: query
          name: compress
          description: Whether or not the response will be compressed in gzip format
          schema:
            type: boolean
            default: false
        - in: query
          name: batch_size
          description: Number of records that will be included in each response batch
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetSnapshotParts'
        '400':
          description: Snapshot is not ready
          content:
            text/html:
              schema:
                type: string
                example: Snapshot is not ready
        '404':
          description: Snapshot not found
          content:
            text/html:
              schema:
                type: string
                example: snapshot not found
components:
  schemas:
    DatasetSnapshotParts:
      type: object
      properties:
        parts:
          type: number
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````